require 'seo_helper'

module PlaysureHelper
  module Helper
    module PageHelper
      include SeoHelper

      def render_body_tag
        class_attribute = ["#{controller_name}-controller","#{action_name}-action"].join(" ")
        id_attribute = (@body_id)? " id=\"#{@body_id}-page\"" : ""

        raw(%Q|<!--[if lt IE 7 ]>r
          <body class="#{class_attribute} ie6"><![endif]-->
          <!--[if gte IE 7 ]>
          <body class="#{class_attribute} ie"><![endif]-->
          <!--[if !IE]>-->
          <body#{id_attribute} class="#{class_attribute}">
          <!--<![endif]-->|)
      end
    end
  end
end