require 'playsure_helper/helper'

module PlaysureHelper
  class Engine < ::Rails::Engine
    initializer 'playsure_helper.view_helpers' do
      ActionView::Base.send :include, PlaysureHelper::Helper
    end

    initializer 'playsure_helper.controller_helpers' do
      ActionController::Base.send :include, PlaysureHelper::ControllerHelper
    end
  end
end